<div class="chat-container">
    <div class="chat-messages">
        <div class="grid gap-y-2">
            {{ ConversationId() }}
            
            <!-- Chat Messages -->

            <!-- <app-chat-message text="Hola, soy Barf, tu asistente virtual. ¿En qué puedo ayudarte?"></app-chat-message> -->

            <!-- @for (message of messages(); track $index) {
                @if(message.isGpt){
                    <app-chat-message [text]="message.text"></app-chat-message>
                } 
                @else {
                    <app-my-message [text]="message.text"></app-my-message>
                }
            } -->

            @for (message of conversation(); track $index) {
                @if(message.type == 'Ai'){
                    <app-chat-message [text]="message.content"></app-chat-message>
                } 
                @else {
                    <app-my-message [text]="message.content"></app-my-message>
                }
            }




            @if(isLoading()){
                <app-typing-loader></app-typing-loader>
            }
            
        </div>
    </div>

    <!-- MessageBox -->
    <app-text-message-box
        placeholder="Escribe tu mensaje..."
        (onMessage)="handleMessage2($event)"
    >
    </app-text-message-box>
    <!-- <app-text-message-box-file
        placeholder="Escribe tu mensaje..."
        (onMessage)="handleMessageWithFile($event)"
    >
    </app-text-message-box-file> -->
    <!-- <app-text-message-box-select
        placeholder="Escribe tu mensaje..."
        [options]="[{id: '1', text: 'Option 1'}, {id: '2', text: 'Option 2'}, {id: '3', text: 'Option 3'}]"
        (onMessage)="handleMessageWithSelect($event)"
    >
    </app-text-message-box-select> -->

</div>